CHMOD(1)

NAME
chmod - Change the mode of each FILE to MODE. With --reference, change the mode of each FILE to that of RFILE.

SYNOPSIS
chmod [--help] [-c|--changes] [-f|--quiet] [-v|--verbose] [--no-preserve-root] [--preserve-root] [-R|--recursive] [--reference] [-H ] [-L ] [-P ] [--dereference] [-h|--no-dereference] [-V|--version] [MODE] [FILE]

DESCRIPTION
Change the mode of each FILE to MODE. With --reference, change the mode of each FILE to that of RFILE.

OPTIONS

--help
    Print help information.

-c, --changes
    like verbose but report only when a change is made

-f, --quiet
    suppress most error messages

-v, --verbose
    output a diagnostic for every file processed

--no-preserve-root
    do not treat '/' specially (the default)

--preserve-root
    fail to operate recursively on '/'

-R, --recursive
    change files and directories recursively

--reference
    use RFILE's mode instead of MODE values

-H  if a command line argument is a symbolic link to a directory, traverse it

-L  traverse every symbolic link to a directory encountered

-P  do not traverse any symbolic links (default)

--dereference
    affect the referent of each symbolic link (this is the default), rather than the symbolic link itself

-h, --no-dereference
    affect symbolic links instead of any referenced file (useful only on systems that can change the ownership of a symlink)

-V, --version
    Print version

[MODE]

[FILE]

EXTRA
Each MODE is of the form [ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=]?[0-7]+.

VERSION
v(uutils coreutils) 0.9.0